#include "PalmType.h"
#include "PalmChip.h"
#include "palm1lib.h"

void Cam_LedOn(UCHAR iIndex)
{
	XBYTE[CAM_IO_EN] |= cOrMask[iIndex];
	XBYTE[CAM_IO_DATA] |= cOrMask[iIndex];
}

void Cam_LedOff(UCHAR iIndex)
{
	XBYTE[CAM_IO_EN] |= cOrMask[iIndex];
	XBYTE[CAM_IO_DATA] &= cAndMask[iIndex];
}

/*
void Cam_LedBlink(UCHAR iIndex)
{
	DCHAR iRegIndex, iRegVal;

	iRegIndex = iIndex;
	iRegVal = XBYTE[CAM_IO_DATA];

	if (iRegVal & cOrMask[iRegIndex&0x07])
	{
		Cam_LedOff(iRegIndex);
	}
	else
	{
		Cam_LedOn(iRegIndex);
	}
}
*/


